Forum: Ruby Rake and rake aborted! Rake aborted! undefined method `gem'

Announcement (2017-05-07): www.ruby-forum.com is now read-only since I unfortunately do not have the time to support and maintain the forum any more. Please see rubyonrails.org/community and ruby-lang.org/en/community for other Rails- und Ruby-related community platforms.
039b1779bfb9827aaa0673dd3da756a1?d=identicon&s=25 peppermonkey (Guest)
on 2007-02-09 22:50
(Received via mailing list)
Hi,
there must be some configuration mistake but can someone help me out?
I have ruby, gem, rails and such installed.
version
ruby: 1.8.4
gem: 0.8.11
rails 1.2.2

If I do a

rake rails:update

I get the following:

Rake aborted!
undefined method `gem' for main:Object

I get the same message when doing just
rake

any ideas?
Is there a problem with my path?

thanks in advance.
D337e2cf7c6d03caac6988d83e0e7f66?d=identicon&s=25 Michael Guterl (Guest)
on 2007-02-09 23:06
(Received via mailing list)
On 2/9/07, peppermonkey <peppermonkey@moose-mail.com> wrote:
>
> any ideas?
> Is there a problem with my path?


I know the newest version of rails requires the newest version of
rubygems,
this is where Object#gem comes from.

thanks in advance.
31e038e4e9330f6c75ccfd1fca8010ee?d=identicon&s=25 Gregory Brown (Guest)
on 2007-02-10 05:44
(Received via mailing list)
On 2/9/07, peppermonkey <peppermonkey@moose-mail.com> wrote:
> Hi,
> there must be some configuration mistake but can someone help me out?
> I have ruby, gem, rails and such installed.

yes, you need the latest version of rubygems.

Do:

sudo gem update --system

and consult the rubygems 0.9.2 release notes if you have trouble.
This topic is locked and can not be replied to.